Skip to main content
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
mintAndBurn
Token - Mint and Burn
curl --request GET \
  --url https://api.dex.chainstream.io/v2/token/{chain}/{tokenAddress}/mintAndBurn \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1000000",
      "blockHeight": 123456789,
      "blockTimestamp": 1710417600000,
      "mintBurnType": "all",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "transactionSignature": "3A7B9C1D2E4F6G8"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
tokenAddress
string
required

An address of a token

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev
type
enum<string>

Filter type for mint and burn operations Mint/burn type filter

Available options:
all,
mint,
burn

Response

200 - application/json

Get Mint And Burn

Generic pagination response

data
object[]
required

Page data

endCursor
string | null

Cursor for the end of current page

Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

Example:

false

hasPrev
boolean

Whether there is a previous page

Example:

false

startCursor
string | null

Cursor for the start of current page

Example:

"eyJpZCI6InN0YXJ0In0="